#2098 closed defect (fixed)

remove dependency on zbase32 and pyutil

Reported by: daira Owned by: zooko
Priority: normal Milestone: undecided
Component: packaging Version: 1.10.0
Keywords: packaging pyutil zbase32 review Cc:
Launchpad Bug:

Description

These are weak dependencies in the sense that Tahoe-LAFS will work without them, but they have confused users and packagers (e.g. see http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=683331), and are potential sources of packaging bugs.

(This ticket conflicts with #47.)

Change History (9)

comment:1 Changed at 2014-03-15T15:48:54Z by daira

Alan Fairless at SpiderOak wrote:

FYI: I just noticed that newest zbase32 and pyutil are now mutually dependent on each other.

In order to make the toolchain builder happy, I'm first installing zbase32 1.1.3, then pyutil 1.9.7, then upgrade zbase32 to 1.3.5.

This isn't hurting anything over here -- just thought you might want to know.

Last edited at 2014-03-15T15:49:09Z by daira (previous) (diff)

comment:2 follow-up: Changed at 2014-03-15T16:22:28Z by daira

Zooko: these dependencies are only via zfec, correct?

comment:3 Changed at 2014-03-15T16:22:44Z by daira

  • Owner set to zooko

comment:4 in reply to: ↑ 2 Changed at 2014-03-17T20:54:35Z by zooko

Replying to daira:

Zooko: these dependencies are only via zfec, correct?

Correct.

comment:5 follow-up: Changed at 2014-03-17T21:20:03Z by daira

Hmm, https://tahoe-lafs.org/trac/zfec gives an "Environment not found" error.

comment:6 in reply to: ↑ 5 Changed at 2014-03-18T01:46:40Z by zooko

Replying to daira:

Hmm, https://tahoe-lafs.org/trac/zfec gives an "Environment not found" error.

Fixed.

comment:9 Changed at 2020-01-20T18:56:28Z by GitHub <noreply@…>

  • Resolution set to fixed
  • Status changed from new to closed

In c164473/trunk:

Merge pull request #684 from tahoe-lafs/2098.remove-pyutil

Remove the direct pyutil dependency

Fixes: ticket:2098

Note: See TracTickets for help on using tickets.